commit:     11e4d6b08f940ed06e89968507247334bb0be801
Author:     Michał Górny <mgorny <AT> gentoo <DOT> org>
AuthorDate: Thu Jun 22 04:57:56 2023 +0000
Commit:     Michał Górny <mgorny <AT> gentoo <DOT> org>
CommitDate: Thu Jun 22 05:08:10 2023 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=11e4d6b0

dev-python/python-utils: Bump to 3.7.0

Signed-off-by: Michał Górny <mgorny <AT> gentoo.org>

 dev-python/python-utils/Manifest                  |  1 +
 dev-python/python-utils/python-utils-3.7.0.ebuild | 42 +++++++++++++++++++++++
 2 files changed, 43 insertions(+)

diff --git a/dev-python/python-utils/Manifest b/dev-python/python-utils/Manifest
index 68b9605caa93..c7fb200a08f8 100644
--- a/dev-python/python-utils/Manifest
+++ b/dev-python/python-utils/Manifest
@@ -1,3 +1,4 @@
 DIST python-utils-3.5.2.tar.gz 26883 BLAKE2B 
9532d8fecd8d57a9a9f50e2e7e67386e4c5922f4ec316851544147f6da82586bb01796bb3e3fc95c894a790c57711c983d8da9abc5edc5a722089a0d86d7fb61
 SHA512 
2e36bbb2e43591744c63ea972b7f361138694eb32510643ea88e8d757882379e3aec247c2fc4d5c67876939b71d564570a975700728c79f9db0cc4fcbc1605e7
 DIST python-utils-3.6.0.tar.gz 28488 BLAKE2B 
0426943a631ad68afafdbe603d14a32e179e58f8c45ac98248096de40bb67243196ca4498e1b908a25e213301e26d42f3f2c175cfa282c18b1db8f15b14385e6
 SHA512 
2d26e9c37f42d525640b9573cd794acb93e44a01d817e4c9ccf2d07261581dd16a04f38d245f97efb01952476fbc312e1831b5b617659787cbaac38692853bdd
 DIST python-utils-3.6.1.tar.gz 28460 BLAKE2B 
c4e4f640c6e402b3c308b6a7b3ac4cfd0f4ff8c6fe7553a87d263f697ced0da0b63aa6d8d7ff6a02af1974e32c644e214ddefa6bd0a5f272f37d65017d4fb009
 SHA512 
f7c6b3c5951c2902e94f3c17791178813695bcc15828ed52db6e071f9e08528a8202be1cff29bab2ce534e822f358cf41b8082fbf40db16e657b0b1c1dfa71a8
+DIST python-utils-3.7.0.tar.gz 29654 BLAKE2B 
ff306a2ee3e84585081f504ad50f117294698c75dd4d5015db6cf9326796d69aaf63365ac5bbedb3af4d41e4f18b7a05437860bf41cdb870e43f1ba75e92628c
 SHA512 
df3b33dbf213c7099a5a17166ac1e01e9044bf6bb364de96a4b182831ff3216fe37edb7f94cb66f8d2fcab42cea404a9c4f27142890ae0e7510363815f47ad41

diff --git a/dev-python/python-utils/python-utils-3.7.0.ebuild 
b/dev-python/python-utils/python-utils-3.7.0.ebuild
new file mode 100644
index 000000000000..79f64316b1e5
--- /dev/null
+++ b/dev-python/python-utils/python-utils-3.7.0.ebuild
@@ -0,0 +1,42 @@
+# Copyright 1999-2023 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=setuptools
+PYPI_NO_NORMALIZE=1
+PYTHON_COMPAT=( python3_{10..12} pypy3 )
+
+inherit distutils-r1 pypi
+
+DESCRIPTION="Collection of small Python functions & classes"
+HOMEPAGE="
+       https://github.com/WoLpH/python-utils/
+       https://pypi.org/project/python-utils/
+"
+
+LICENSE="BSD"
+SLOT="0"
+KEYWORDS="~amd64 ~x86"
+
+RDEPEND="
+       dev-python/typing-extensions[${PYTHON_USEDEP}]
+"
+BDEPEND="
+       test? (
+               dev-python/pytest-asyncio[${PYTHON_USEDEP}]
+       )
+"
+
+distutils_enable_tests pytest
+
+EPYTEST_IGNORE=(
+       docs
+       _python_utils_tests/test_logger.py
+       python_utils/loguru.py
+)
+
+python_prepare_all() {
+       sed -i -e '/--cov/d' -e '/--mypy/d' pytest.ini || die
+       distutils-r1_python_prepare_all
+}

Reply via email to